#Import necessary functions from Jinja2 module
from jinja2 import Environment, FileSystemLoader

#Import YAML module
import yaml, sys, io

#Load data from YAML into Python dictionary
try:
    values_file = '/opt/jfrog/xray/installer/values.yml'
    config_data = yaml.load(open(values_file))
except yaml.YAMLError, exc:
    print "Error in yml file: " + values_file
    sys.exit(1)

#Load Jinja2 template
env = Environment(loader = FileSystemLoader('/opt/jfrog/xray/installer'), trim_blocks=True, lstrip_blocks=False)
template = env.get_template('docker-compose.yml.j2')

#Prints output to a docker-compose.yml file
with io.FileIO("/opt/jfrog/xray/installer/docker-compose.yml", "w") as file:
    file.write(template.render(config_data))
#print(template.render(config_data))